Subject: Survey on Chinese Word Processors, Part I for IBM PC

From: Kang Sun <[email-masked]>
Date: Tue, 3 Jul 90 11:37:14 EDT

Greetings,

        Just a few hours after I posted my survey for Mac Chinese
Software, I get a number of requests for my other parts of the survey,
which I will post in this and the next article. Those who have seen it
please bear it with me. Thanks.

        ** an important correction **
        The number of APDA is 1-800-282 APDA, the number I put
        in my last posting was wrong. Sorry for the inconvenience.

[the survey below was written for a newsletter for Chinese students at
Yale about two years ago. With that in mind when you read so that you
can tolerate some of the wordings.]

-- Kang Sun
==================

                A SURVEY ON CHINESE WORD PROCESSORS

                                Kang Sun

        I believe this topic is of interest to many of our readers.
Although I cannot claim that I am an expert in this subject, but I
give it a try.  My survey only covers the softwares that I have or
heard of. This by no way means a complete survey. This survey is
presented in two parts.

Part 1. For the IBM PCs (revised on 7/3/90)

        (A) Lian2 Xiang3 Han4 Zi4 (LXHZ). Word by word, it can be
translated as "Connective Thinking Chinese Characters". A better translation
might be  "Intelligent Chinese Characters" or something close to it. LXHZ,
to my taste, has the best way of HanZi key-in and the most beautiful
character fonts. Among many ways of character key-in, I like the PinYin
mode with Lian2 Xiang3. One type in the Pin1 Yin1 for the character, LXHZ
will prompt you all the characters that match the Pin Yin. After one makes
his choice, LXHZ prompt another list of characters that can be used form a
word with the most recently chosen characters. More than 50% of the time,
the character one wants next will be in the list, in which case one simply
type a digit to choose it. Imagine one writes an essay by  hitting number
keys almost all the time. LXHZ also updates its dictionary from time to
time, to put the most often or the most recently used characters appear in
front of the list. One can also combine several characters to form a word.

        LXHZ is produced in Mainland China, and hence uses the simplified
characters. It is designed as "a Chinese Character System" above the normal
DOS operating system. To use it, one first boot a PC with the normal DOS;
then start LXHZ, which will install the Chinese characters into the RAM and
switch the mode of input to Chinese. Then one can run an application
programs. The available programs include WordStar, Lotus1-2-3 and DBASEIII.
So far, I only see the Chinese version of WordStar, though I have heard a
version of Chinese DBASEIII floating around on campus.

        The dark side of LXHZ is that it does not allow one to expand the
character set, which contain the first two character lists of China's
National Standard. And, the version I had a hand on is very un-reliable. When
a fellow student returned to China in 1988, I asked him to keep
one of his eyes on the newer versions of LXHZ, he returned with the sad
news that "LXHZ is now very popular in China. However, they are all
manufactured into hardware chips. One has to buy a board for it."

        (B) Duke Chinese Typist (DTP). A under-developing word-processing
program for Chinese and English. It allows one to enter Chinese characters
by typing them in whole words and phrases, as well as one- by-one, in
pinyin romanization with or without tones, then pressing one of several
functionally-differentiated encode keys. It has most  basic word-processing
functions that can be invoked in a way very similar to that of EMCAS, a
very popular public domain text editor for the main frames. As a matter of
fact, DTP uses MicroEmacs as a template for development. DTP supports both
complex and simplified Chinese characters, Pin Yin entry, and works on XT,
AT, and PS2. Files can be printed out on standard IBM ProPrinter. The fonts
are far from publishing quality, but is readable. I does use tone (1,2,3,4)
and and entry of words to speed up inputs, which is the part I like a lot.
The The product is very inexpensive. For a  registration fee of $25.00, you
not only receive the up to date version of the program in two floppies, you
are also qualified for  upgrades in the future. Those who are interested
can contact

             Duke Chinese Typist
             Asian/Pacific Studies Institute
             2111 Campus Drive
             Duke University
             Durham, NC 27706 USA       Tel. (919) 684-6104

        (C) Tian1 Ma3 (Sky Horse). An very expensive one developed in the
United States. It is purchased and distributed in chip and hence has the
most efficient way of copy-protection. I heard that it supports multiple
mode of inputs and large vocabulary. Apparently I don't have enough first
hand knowledge to say anything more, but I can help to find out more
information on it there is enough interests. (For detail, see Part III)

        (D) Others. There are quite a few other Chinese Word Processors,
such as ChinaStar, CCDOS+WordStar. The information I have shows that
ChinaStar is a quite good one. It even supports LaserPrinter. However,
since it is so well copy-protected, I never had a chance to lay my hands on
it. The versions of CCDOS (Chinese Character DOS) I have seen are all
obsolete and not runnable on IBM's Enhanced Graphics Adaptors.

(* since the this survey was done, at least two softwares have come to my
 attention: BYX and Ch-Series. BYX is about to come out in July with a very
 reasonable price and well-expected performace. Ch-Series is a huge Chinese
 character typesetting system by Dr. Wang JingBai, which include a Chinese TeX
 and a Chinese WSTroff. I have had some success working with the UNIX version
of Ch-Series, but have had never tried the PC version, though. Recently these
 two team have joined their efforts and hopefully the new release will be good.
-- KS, 7/3/90)

        I hope the above materials are helpful for some of you. If you need
further information, feel free to contact me.